Commit New Node
POST
HTTPBearerheader
AuthorizationBearer <token>application/json- body
local_temp_node_id*Local Temp Node Idparent_ids?array<string>staged_payload*Successful Response
application/json- response
commit_required*Commit Requiredcommitted_revision*Committed Revisionlocal_temp_node_id*Local Temp Node Idnext_action_hint*Next Action Hintnode*placement*|nullrepository_id*string|nullstaged_changes_pending*Staged Changes PendingExample Request
curl -X POST 'https://flywheel.paradigma.inc/api/v1/nodes/commit-new' \ -H 'Content-Type: application/json' \ -d '{ "local_temp_node_id": "string", "staged_payload": { "content": "string", "repo_context": { "branch_name": "string", "external_transcript_ref": "string", "head_commit_sha": "string", "origin_host": "string", "repo_url": "string", "updated_by": "string" }, "summary": "string", "title": "string" }}'Example Response
{ "commit_required": true, "committed_revision": 0, "local_temp_node_id": "string", "next_action_hint": "string", "node": {}, "placement": "parent_repository", "repository_id": "string", "staged_changes_pending": true}